Bug 1717011 - Playbook is taking long time at TASK - ceph-defaults : check if the ceph mon socket is in-use
Summary: Playbook is taking long time at TASK - ceph-defaults : check if the ceph mon ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 4.0
Assignee: Dimitri Savineau
QA Contact: Vasishta
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1730176
TreeView+ depends on / blocked
 
Reported: 2019-06-04 14:26 UTC by Manjunatha
Modified: 2020-01-31 12:46 UTC (History)
11 users (show)

Fixed In Version: ceph-ansible-4.0.0-0.1.rc9.el8cp
Doc Type: Bug Fix
Doc Text:
.The Ansible playbook no longer takes hours to complete the `fuser` command Previously, on a system running thousands of processes, the `fuser` command in the Ansible playbook could take several minutes or hours to complete because it iterates over all PID present in the `/proc` directory. Because of this, the handler tasks take a long time to complete checking if a Ceph process is already running. With this update, instead of using the `fuser` command, the Ansible playbook now checks the socket file in the `/proc/net/unix` directory, and the handler tasks that check the Ceph socket completes almost instantly.
Clone Of:
Environment:
Last Closed: 2020-01-31 12:46:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 4059 'None' closed ceph-handler: replace fuser by /proc/net/unix 2020-03-17 10:43:51 UTC
Github ceph ceph-ansible pull 4094 'None' closed ceph-handler: replace fuser by /proc/net/unix (bp #4059) 2020-03-17 10:43:51 UTC
Github ceph ceph-ansible pull 4095 'None' closed ceph-handler: replace fuser by /proc/net/unix (bp #4059) 2020-03-17 10:43:51 UTC
Red Hat Product Errata RHBA-2020:0312 None None None 2020-01-31 12:46:41 UTC

Comment 7 Giridhar Ramaraju 2019-08-05 13:10:53 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 8 Giridhar Ramaraju 2019-08-05 13:11:55 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 13 errata-xmlrpc 2020-01-31 12:46:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.